window.Gleam.initSearch([{"doc":"radish","title":"radish","content":"![radish](https://raw.githubusercontent.com/massivefermion/radish/main/banner.jpg)\n\n[![Package Version](https://img.shields.io/hexpm/v/radish)](https://hex.pm/packages/radish)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/radish/)\n\n# radish\n\nA Gleam client for Valkey, KeyDB, Redis and other tools with compatible APIs\n\n## &lt;img width=32 src=&quot;https://raw.githubusercontent.com/massivefermion/radish/main/icon.png&quot;&gt; Quick start\n\n```sh\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n\n## &lt;img width=32 src=&quot;https://raw.githubusercontent.com/massivefermion/radish/main/icon.png&quot;&gt; Installation\n\n```sh\ngleam add radish\n```\n\n## &lt;img width=32 src=&quot;https://raw.githubusercontent.com/massivefermion/radish/main/icon.png&quot;&gt; Usage\n\n```gleam\nimport radish\nimport radish/list\n\npub fn main() {\n  let assert Ok(client) =\n    radish.start(\n      &quot;localhost&quot;,\n      6379,\n      [radish.Timeout(128), radish.Auth(&quot;password&quot;)],\n    )\n\n  radish.set(client, &quot;requests&quot;, &quot;64&quot;, 128)\n  radish.expire(client, &quot;requests&quot;, 60, 128)\n  radish.decr(client, &quot;requests&quot;, 128)\n\n  list.lpush(\n    client,\n    &quot;names&quot;,\n    [&quot;Gary&quot;, &quot;Andy&quot;, &quot;Nicholas&quot;, &quot;Danny&quot;, &quot;Shaun&quot;, &quot;Ed&quot;],\n    128,\n  )\n  list.lpop(client, &quot;names&quot;, 128)\n}\n```\n","url":"index.html"},{"doc":"radish/error","title":"Error","content":"pub type Error {\n  NotFound\n  RESPError\n  ActorError\n  ConnectionError\n  TCPError(mug.Error)\n  ServerError(String)\n}\n\nNotFound\n\n\nRESPError\n\n\nActorError\n\n\nConnectionError\n\n\nTCPError(mug.Error)\n\n\nServerError(String)\n\n\nSynonyms:\nradish/error.Error\nradish/error Error","url":"radish/error.html#Error"},{"doc":"radish/error","title":"radish/error","content":"","url":"radish/error.html"},{"doc":"radish","title":"ExpireCondition","content":"pub type ExpireCondition {\n  NX\n  XX\n  GT\n  LT\n}\n\nNX\n\n\nXX\n\n\nGT\n\n\nLT\n\n\nSynonyms:\nradish.ExpireCondition\nradish ExpireCondition","url":"radish.html#ExpireCondition"},{"doc":"radish","title":"KeyType","content":"pub type KeyType {\n  Set\n  List\n  ZSet\n  Hash\n  String\n  Stream\n}\n\nSet\n\n\nList\n\n\nZSet\n\n\nHash\n\n\nString\n\n\nStream\n\n\nSynonyms:\nradish.KeyType\nradish KeyType","url":"radish.html#KeyType"},{"doc":"radish","title":"Message","content":"pub type Message =\n  client.Message\n\n\nSynonyms:\nradish.Message\nradish Message","url":"radish.html#Message"},{"doc":"radish","title":"Next","content":"pub type Next {\n  Continue\n  UnsubscribeFromAll\n  UnsubscribeFrom(List(String))\n}\n\nContinue\n\n\nUnsubscribeFromAll\n\n\nUnsubscribeFrom(List(String))\n\n\nSynonyms:\nradish.Next\nradish Next","url":"radish.html#Next"},{"doc":"radish","title":"StartOption","content":"pub type StartOption {\n  Timeout(Int)\n  Auth(String)\n  AuthWithUsername(String, String)\n}\n\nTimeout(Int)\n\n\nAuth(String)\n\n\nAuthWithUsername(String, String)\n\n\nSynonyms:\nradish.StartOption\nradish StartOption","url":"radish.html#StartOption"},{"doc":"radish","title":"append","content":"pub fn append(\n  client: Subject(Message),\n  key: String,\n  value: String,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/append)!\nSynonyms:\nradish.append\nradish append","url":"radish.html#append"},{"doc":"radish","title":"decr","content":"pub fn decr(\n  client: Subject(Message),\n  key: String,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/decr)!\nSynonyms:\nradish.decr\nradish decr","url":"radish.html#decr"},{"doc":"radish","title":"decr_by","content":"pub fn decr_by(\n  client: Subject(Message),\n  key: String,\n  value: Int,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/decrby)!\nSynonyms:\nradish.decr_by\nradish decr_by","url":"radish.html#decr_by"},{"doc":"radish","title":"del","content":"pub fn del(\n  client: Subject(Message),\n  keys: List(String),\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/del)!\nSynonyms:\nradish.del\nradish del","url":"radish.html#del"},{"doc":"radish","title":"exists","content":"pub fn exists(\n  client: Subject(Message),\n  keys: List(String),\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/exists)!\nSynonyms:\nradish.exists\nradish exists","url":"radish.html#exists"},{"doc":"radish","title":"expire","content":"pub fn expire(\n  client: Subject(Message),\n  key: String,\n  ttl: Int,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/expire)!\nSynonyms:\nradish.expire\nradish expire","url":"radish.html#expire"},{"doc":"radish","title":"expire_if","content":"pub fn expire_if(\n  client: Subject(Message),\n  key: String,\n  ttl: Int,\n  condition: ExpireCondition,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/expire)!\nSynonyms:\nradish.expire_if\nradish expire_if","url":"radish.html#expire_if"},{"doc":"radish","title":"get","content":"pub fn get(\n  client: Subject(Message),\n  key: String,\n  timeout: Int,\n) -&gt; Result(String, Error)\n see [here](https://redis.io/commands/get)!\nSynonyms:\nradish.get\nradish get","url":"radish.html#get"},{"doc":"radish","title":"incr","content":"pub fn incr(\n  client: Subject(Message),\n  key: String,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/incr)!\nSynonyms:\nradish.incr\nradish incr","url":"radish.html#incr"},{"doc":"radish","title":"incr_by","content":"pub fn incr_by(\n  client: Subject(Message),\n  key: String,\n  value: Int,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/incrby)!\nSynonyms:\nradish.incr_by\nradish incr_by","url":"radish.html#incr_by"},{"doc":"radish","title":"incr_by_float","content":"pub fn incr_by_float(\n  client: Subject(Message),\n  key: String,\n  value: Float,\n  timeout: Int,\n) -&gt; Result(Float, Error)\n see [here](https://redis.io/commands/incrbyfloat)!\nSynonyms:\nradish.incr_by_float\nradish incr_by_float","url":"radish.html#incr_by_float"},{"doc":"radish","title":"key_type","content":"pub fn key_type(\n  client: Subject(Message),\n  key: String,\n  timeout: Int,\n) -&gt; Result(KeyType, Error)\n see [here](https://redis.io/commands/type)!\nSynonyms:\nradish.key_type\nradish key_type","url":"radish.html#key_type"},{"doc":"radish","title":"keys","content":"pub fn keys(\n  client: Subject(Message),\n  pattern: String,\n  timeout: Int,\n) -&gt; Result(List(String), Error)\n see [here](https://redis.io/commands/keys)!\nSynonyms:\nradish.keys\nradish keys","url":"radish.html#keys"},{"doc":"radish","title":"mget","content":"pub fn mget(\n  client: Subject(Message),\n  keys: List(String),\n  timeout: Int,\n) -&gt; Result(List(String), Error)\n see [here](https://redis.io/commands/mget)!\nSynonyms:\nradish.mget\nradish mget","url":"radish.html#mget"},{"doc":"radish","title":"mset","content":"pub fn mset(\n  client: Subject(Message),\n  kv_list: List(#(String, String)),\n  timeout: Int,\n) -&gt; Result(String, Error)\n see [here](https://redis.io/commands/mset)!\nSynonyms:\nradish.mset\nradish mset","url":"radish.html#mset"},{"doc":"radish","title":"persist","content":"pub fn persist(\n  client: Subject(Message),\n  key: String,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/persist)!\nSynonyms:\nradish.persist\nradish persist","url":"radish.html#persist"},{"doc":"radish","title":"publish","content":"pub fn publish(\n  client: Subject(Message),\n  channel: String,\n  message: String,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/publish)!\nSynonyms:\nradish.publish\nradish publish","url":"radish.html#publish"},{"doc":"radish","title":"random_key","content":"pub fn random_key(\n  client: Subject(Message),\n  timeout: Int,\n) -&gt; Result(String, Error)\n see [here](https://redis.io/commands/randomkey)!\nSynonyms:\nradish.random_key\nradish random_key","url":"radish.html#random_key"},{"doc":"radish","title":"rename","content":"pub fn rename(\n  client: Subject(Message),\n  key: String,\n  new_key: String,\n  timeout: Int,\n) -&gt; Result(String, Error)\n see [here](https://redis.io/commands/rename)!\nSynonyms:\nradish.rename\nradish rename","url":"radish.html#rename"},{"doc":"radish","title":"renamenx","content":"pub fn renamenx(\n  client: Subject(Message),\n  key: String,\n  new_key: String,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/renamenx)!\nSynonyms:\nradish.renamenx\nradish renamenx","url":"radish.html#renamenx"},{"doc":"radish","title":"scan","content":"pub fn scan(\n  client: Subject(Message),\n  cursor: Int,\n  count: Int,\n  timeout: Int,\n) -&gt; Result(#(List(String), Int), Error)\n see [here](https://redis.io/commands/scan)!\nSynonyms:\nradish.scan\nradish scan","url":"radish.html#scan"},{"doc":"radish","title":"scan_pattern","content":"pub fn scan_pattern(\n  client: Subject(Message),\n  cursor: Int,\n  pattern: String,\n  count: Int,\n  timeout: Int,\n) -&gt; Result(#(List(String), Int), Error)\n see [here](https://redis.io/commands/scan)!\nSynonyms:\nradish.scan_pattern\nradish scan_pattern","url":"radish.html#scan_pattern"},{"doc":"radish","title":"scan_pattern_with_type","content":"pub fn scan_pattern_with_type(\n  client: Subject(Message),\n  cursor: Int,\n  key_type: KeyType,\n  pattern: String,\n  count: Int,\n  timeout: Int,\n) -&gt; Result(#(List(String), Int), Error)\n see [here](https://redis.io/commands/scan)!\nSynonyms:\nradish.scan_pattern_with_type\nradish scan_pattern_with_type","url":"radish.html#scan_pattern_with_type"},{"doc":"radish","title":"scan_with_type","content":"pub fn scan_with_type(\n  client: Subject(Message),\n  cursor: Int,\n  key_type: KeyType,\n  count: Int,\n  timeout: Int,\n) -&gt; Result(#(List(String), Int), Error)\n see [here](https://redis.io/commands/scan)!\nSynonyms:\nradish.scan_with_type\nradish scan_with_type","url":"radish.html#scan_with_type"},{"doc":"radish","title":"set","content":"pub fn set(\n  client: Subject(Message),\n  key: String,\n  value: String,\n  timeout: Int,\n) -&gt; Result(String, Error)\n see [here](https://redis.io/commands/set)!\nSynonyms:\nradish.set\nradish set","url":"radish.html#set"},{"doc":"radish","title":"set_existing","content":"pub fn set_existing(\n  client: Subject(Message),\n  key: String,\n  value: String,\n  timeout: Int,\n) -&gt; Result(String, Error)\n see [here](https://redis.io/commands/set)!\nSynonyms:\nradish.set_existing\nradish set_existing","url":"radish.html#set_existing"},{"doc":"radish","title":"set_new","content":"pub fn set_new(\n  client: Subject(Message),\n  key: String,\n  value: String,\n  timeout: Int,\n) -&gt; Result(String, Error)\n see [here](https://redis.io/commands/set)!\nSynonyms:\nradish.set_new\nradish set_new","url":"radish.html#set_new"},{"doc":"radish","title":"shutdown","content":"pub fn shutdown(client: Subject(Message)) -&gt; Nil\n\nSynonyms:\nradish.shutdown\nradish shutdown","url":"radish.html#shutdown"},{"doc":"radish","title":"start","content":"pub fn start(\n  host: String,\n  port: Int,\n  options: List(StartOption),\n) -&gt; Result(Subject(Message), StartError)\n\nSynonyms:\nradish.start\nradish start","url":"radish.html#start"},{"doc":"radish","title":"subscribe","content":"pub fn subscribe(\n  client: Subject(Message),\n  channels: List(String),\n  init_handler: fn(String, Int) -&gt; Nil,\n  message_handler: fn(String, String) -&gt; Next,\n  timeout: Int,\n) -&gt; Nil\n see [here](https://redis.io/commands/subscribe)!\n Also see [here](https://redis.io/docs/manual/keyspace-notifications)!\nSynonyms:\nradish.subscribe\nradish subscribe","url":"radish.html#subscribe"},{"doc":"radish","title":"subscribe_to_patterns","content":"pub fn subscribe_to_patterns(\n  client: Subject(Message),\n  patterns: List(String),\n  init_handler: fn(String, Int) -&gt; Nil,\n  message_handler: fn(String, String, String) -&gt; Next,\n  timeout: Int,\n) -&gt; Nil\n see [here](https://redis.io/commands/psubscribe)!\n Also see [here](https://redis.io/docs/manual/keyspace-notifications)!\nSynonyms:\nradish.subscribe_to_patterns\nradish subscribe_to_patterns","url":"radish.html#subscribe_to_patterns"},{"doc":"radish","title":"radish","content":" All timeouts are in milliseconds","url":"radish.html"},{"doc":"radish/hash","title":"del","content":"pub fn del(\n  client: Subject(Message),\n  key: String,\n  fields: List(String),\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/hdel)!\nSynonyms:\nradish/hash.del\nradish/hash del","url":"radish/hash.html#del"},{"doc":"radish/hash","title":"exists","content":"pub fn exists(\n  client: Subject(Message),\n  key: String,\n  field: String,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/hexists)!\nSynonyms:\nradish/hash.exists\nradish/hash exists","url":"radish/hash.html#exists"},{"doc":"radish/hash","title":"get","content":"pub fn get(\n  client: Subject(Message),\n  key: String,\n  field: String,\n  timeout: Int,\n) -&gt; Result(String, Error)\n see [here](https://redis.io/commands/hget)!\nSynonyms:\nradish/hash.get\nradish/hash get","url":"radish/hash.html#get"},{"doc":"radish/hash","title":"get_all","content":"pub fn get_all(\n  client: Subject(Message),\n  key: String,\n  timeout: Int,\n) -&gt; Result(Dict(Value, Value), Error)\n see [here](https://redis.io/commands/hgetall)!\nSynonyms:\nradish/hash.get_all\nradish/hash get_all","url":"radish/hash.html#get_all"},{"doc":"radish/hash","title":"incr_by","content":"pub fn incr_by(\n  client: Subject(Message),\n  key: String,\n  field: String,\n  value: Int,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/hincrby)!\nSynonyms:\nradish/hash.incr_by\nradish/hash incr_by","url":"radish/hash.html#incr_by"},{"doc":"radish/hash","title":"incr_by_float","content":"pub fn incr_by_float(\n  client: Subject(Message),\n  key: String,\n  field: String,\n  value: Float,\n  timeout: Int,\n) -&gt; Result(Float, Error)\n see [here](https://redis.io/commands/hincrbyfloat)!\nSynonyms:\nradish/hash.incr_by_float\nradish/hash incr_by_float","url":"radish/hash.html#incr_by_float"},{"doc":"radish/hash","title":"keys","content":"pub fn keys(\n  client: Subject(Message),\n  key: String,\n  timeout: Int,\n) -&gt; Result(List(String), Error)\n see [here](https://redis.io/commands/hkeys)!\nSynonyms:\nradish/hash.keys\nradish/hash keys","url":"radish/hash.html#keys"},{"doc":"radish/hash","title":"len","content":"pub fn len(\n  client: Subject(Message),\n  key: String,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/hlen)!\nSynonyms:\nradish/hash.len\nradish/hash len","url":"radish/hash.html#len"},{"doc":"radish/hash","title":"mget","content":"pub fn mget(\n  client: Subject(Message),\n  key: String,\n  fields: List(String),\n  timeout: Int,\n) -&gt; Result(List(String), Error)\n see [here](https://redis.io/commands/hmget)!\nSynonyms:\nradish/hash.mget\nradish/hash mget","url":"radish/hash.html#mget"},{"doc":"radish/hash","title":"scan","content":"pub fn scan(\n  client: Subject(Message),\n  key: String,\n  cursor: Int,\n  count: Int,\n  timeout: Int,\n) -&gt; Result(#(List(String), Int), Error)\n see [here](https://redis.io/commands/hscan)!\nSynonyms:\nradish/hash.scan\nradish/hash scan","url":"radish/hash.html#scan"},{"doc":"radish/hash","title":"scan_pattern","content":"pub fn scan_pattern(\n  client: Subject(Message),\n  key: String,\n  cursor: Int,\n  pattern: String,\n  count: Int,\n  timeout: Int,\n) -&gt; Result(#(List(String), Int), Error)\n see [here](https://redis.io/commands/hscan)!\nSynonyms:\nradish/hash.scan_pattern\nradish/hash scan_pattern","url":"radish/hash.html#scan_pattern"},{"doc":"radish/hash","title":"set","content":"pub fn set(\n  client: Subject(Message),\n  key: String,\n  map: Dict(String, String),\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/hset)!\nSynonyms:\nradish/hash.set\nradish/hash set","url":"radish/hash.html#set"},{"doc":"radish/hash","title":"set_new","content":"pub fn set_new(\n  client: Subject(Message),\n  key: String,\n  field: String,\n  value: String,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/hsetnx)!\nSynonyms:\nradish/hash.set_new\nradish/hash set_new","url":"radish/hash.html#set_new"},{"doc":"radish/hash","title":"strlen","content":"pub fn strlen(\n  client: Subject(Message),\n  key: String,\n  field: String,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/hstrlen)!\nSynonyms:\nradish/hash.strlen\nradish/hash strlen","url":"radish/hash.html#strlen"},{"doc":"radish/hash","title":"vals","content":"pub fn vals(\n  client: Subject(Message),\n  key: String,\n  timeout: Int,\n) -&gt; Result(List(String), Error)\n see [here](https://redis.io/commands/hvals)!\nSynonyms:\nradish/hash.vals\nradish/hash vals","url":"radish/hash.html#vals"},{"doc":"radish/hash","title":"radish/hash","content":"","url":"radish/hash.html"},{"doc":"radish/list","title":"blpop","content":"pub fn blpop(\n  client: Subject(Message),\n  keys: List(String),\n  timeout: Int,\n) -&gt; Result(List(#(String, String)), Error)\n see [here](https://redis.io/commands/blpop)!\nSynonyms:\nradish/list.blpop\nradish/list blpop","url":"radish/list.html#blpop"},{"doc":"radish/list","title":"brpop","content":"pub fn brpop(\n  client: Subject(Message),\n  keys: List(String),\n  timeout: Int,\n) -&gt; Result(List(#(String, String)), Error)\n see [here](https://redis.io/commands/brpop)!\nSynonyms:\nradish/list.brpop\nradish/list brpop","url":"radish/list.html#brpop"},{"doc":"radish/list","title":"index","content":"pub fn index(\n  client: Subject(Message),\n  key: String,\n  index: Int,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/lindex)!\nSynonyms:\nradish/list.index\nradish/list index","url":"radish/list.html#index"},{"doc":"radish/list","title":"insert_after","content":"pub fn insert_after(\n  client: Subject(Message),\n  key: String,\n  pivot: String,\n  value: String,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/linsert)!\nSynonyms:\nradish/list.insert_after\nradish/list insert_after","url":"radish/list.html#insert_after"},{"doc":"radish/list","title":"insert_before","content":"pub fn insert_before(\n  client: Subject(Message),\n  key: String,\n  pivot: String,\n  value: String,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/linsert)!\nSynonyms:\nradish/list.insert_before\nradish/list insert_before","url":"radish/list.html#insert_before"},{"doc":"radish/list","title":"len","content":"pub fn len(\n  client: Subject(Message),\n  key: String,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/llen)!\nSynonyms:\nradish/list.len\nradish/list len","url":"radish/list.html#len"},{"doc":"radish/list","title":"lpop","content":"pub fn lpop(\n  client: Subject(Message),\n  key: String,\n  timeout: Int,\n) -&gt; Result(String, Error)\n see [here](https://redis.io/commands/lpop)!\nSynonyms:\nradish/list.lpop\nradish/list lpop","url":"radish/list.html#lpop"},{"doc":"radish/list","title":"lpop_multiple","content":"pub fn lpop_multiple(\n  client: Subject(Message),\n  key: String,\n  count: Int,\n  timeout: Int,\n) -&gt; Result(List(String), Error)\n see [here](https://redis.io/commands/lpop)!\nSynonyms:\nradish/list.lpop_multiple\nradish/list lpop_multiple","url":"radish/list.html#lpop_multiple"},{"doc":"radish/list","title":"lpush","content":"pub fn lpush(\n  client: Subject(Message),\n  key: String,\n  values: List(String),\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/lpush)!\nSynonyms:\nradish/list.lpush\nradish/list lpush","url":"radish/list.html#lpush"},{"doc":"radish/list","title":"lpushx","content":"pub fn lpushx(\n  client: Subject(Message),\n  key: String,\n  values: List(String),\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/lpushx)!\nSynonyms:\nradish/list.lpushx\nradish/list lpushx","url":"radish/list.html#lpushx"},{"doc":"radish/list","title":"range","content":"pub fn range(\n  client: Subject(Message),\n  key: String,\n  start: Int,\n  end: Int,\n  timeout: Int,\n) -&gt; Result(List(String), Error)\n see [here](https://redis.io/commands/lrange)!\nSynonyms:\nradish/list.range\nradish/list range","url":"radish/list.html#range"},{"doc":"radish/list","title":"rem","content":"pub fn rem(\n  client: Subject(Message),\n  key: String,\n  count: Int,\n  value: String,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/lrem)!\nSynonyms:\nradish/list.rem\nradish/list rem","url":"radish/list.html#rem"},{"doc":"radish/list","title":"rpop","content":"pub fn rpop(\n  client: Subject(Message),\n  key: String,\n  timeout: Int,\n) -&gt; Result(String, Error)\n see [here](https://redis.io/commands/rpop)!\nSynonyms:\nradish/list.rpop\nradish/list rpop","url":"radish/list.html#rpop"},{"doc":"radish/list","title":"rpop_multiple","content":"pub fn rpop_multiple(\n  client: Subject(Message),\n  key: String,\n  count: Int,\n  timeout: Int,\n) -&gt; Result(List(String), Error)\n see [here](https://redis.io/commands/rpop)!\nSynonyms:\nradish/list.rpop_multiple\nradish/list rpop_multiple","url":"radish/list.html#rpop_multiple"},{"doc":"radish/list","title":"rpush","content":"pub fn rpush(\n  client: Subject(Message),\n  key: String,\n  values: List(String),\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/rpush)!\nSynonyms:\nradish/list.rpush\nradish/list rpush","url":"radish/list.html#rpush"},{"doc":"radish/list","title":"rpushx","content":"pub fn rpushx(\n  client: Subject(Message),\n  key: String,\n  values: List(String),\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/rpushx)!\nSynonyms:\nradish/list.rpushx\nradish/list rpushx","url":"radish/list.html#rpushx"},{"doc":"radish/list","title":"set","content":"pub fn set(\n  client: Subject(Message),\n  key: String,\n  index: Int,\n  value: String,\n  timeout: Int,\n) -&gt; Result(String, Error)\n see [here](https://redis.io/commands/lset)!\nSynonyms:\nradish/list.set\nradish/list set","url":"radish/list.html#set"},{"doc":"radish/list","title":"radish/list","content":" All timeouts are in milliseconds","url":"radish/list.html"},{"doc":"radish/set","title":"add","content":"pub fn add(\n  client: Subject(Message),\n  key: String,\n  values: List(String),\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/sadd)!\nSynonyms:\nradish/set.add\nradish/set add","url":"radish/set.html#add"},{"doc":"radish/set","title":"card","content":"pub fn card(\n  client: Subject(Message),\n  key: String,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/scard)!\nSynonyms:\nradish/set.card\nradish/set card","url":"radish/set.html#card"},{"doc":"radish/set","title":"is_member","content":"pub fn is_member(\n  client: Subject(Message),\n  key: String,\n  value: String,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/scard)!\nSynonyms:\nradish/set.is_member\nradish/set is_member","url":"radish/set.html#is_member"},{"doc":"radish/set","title":"members","content":"pub fn members(\n  client: Subject(Message),\n  key: String,\n  timeout: Int,\n) -&gt; Result(Set(String), Error)\n see [here](https://redis.io/commands/smembers)!\nSynonyms:\nradish/set.members\nradish/set members","url":"radish/set.html#members"},{"doc":"radish/set","title":"scan","content":"pub fn scan(\n  client: Subject(Message),\n  key: String,\n  cursor: Int,\n  count: Int,\n  timeout: Int,\n) -&gt; Result(#(List(String), Int), Error)\n see [here](https://redis.io/commands/sscan)!\nSynonyms:\nradish/set.scan\nradish/set scan","url":"radish/set.html#scan"},{"doc":"radish/set","title":"scan_pattern","content":"pub fn scan_pattern(\n  client: Subject(Message),\n  key: String,\n  cursor: Int,\n  pattern: String,\n  count: Int,\n  timeout: Int,\n) -&gt; Result(#(List(String), Int), Error)\n see [here](https://redis.io/commands/sscan)!\nSynonyms:\nradish/set.scan_pattern\nradish/set scan_pattern","url":"radish/set.html#scan_pattern"},{"doc":"radish/set","title":"radish/set","content":" All timeouts are in milliseconds","url":"radish/set.html"},{"doc":"radish/sorted_set","title":"Score","content":"pub type Score {\n  Infinity\n  Double(Float)\n  NegativeInfinity\n}\n\nInfinity\n\n\nDouble(Float)\n\n\nNegativeInfinity\n\n\nSynonyms:\nradish/sorted_set.Score\nradish/sorted_set Score","url":"radish/sorted_set.html#Score"},{"doc":"radish/sorted_set","title":"add_new","content":"pub fn add_new(\n  client: Subject(Message),\n  key: String,\n  members: List(#(String, Score)),\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/zadd)!\nSynonyms:\nradish/sorted_set.add_new\nradish/sorted_set add_new","url":"radish/sorted_set.html#add_new"},{"doc":"radish/sorted_set","title":"card","content":"pub fn card(\n  client: Subject(Message),\n  key: String,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/zcard)!\nSynonyms:\nradish/sorted_set.card\nradish/sorted_set card","url":"radish/sorted_set.html#card"},{"doc":"radish/sorted_set","title":"count","content":"pub fn count(\n  client: Subject(Message),\n  key: String,\n  min: Score,\n  max: Score,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/zcount)!\nSynonyms:\nradish/sorted_set.count\nradish/sorted_set count","url":"radish/sorted_set.html#count"},{"doc":"radish/sorted_set","title":"incr_by","content":"pub fn incr_by(\n  client: Subject(Message),\n  key: String,\n  member: String,\n  change_in_score: Score,\n  timeout: Int,\n) -&gt; Result(Score, Error)\n see [here](https://redis.io/commands/zincrby)!\nSynonyms:\nradish/sorted_set.incr_by\nradish/sorted_set incr_by","url":"radish/sorted_set.html#incr_by"},{"doc":"radish/sorted_set","title":"pop_max","content":"pub fn pop_max(\n  client: Subject(Message),\n  key: String,\n  count: Int,\n  timeout: Int,\n) -&gt; Result(List(#(String, Score)), Error)\n see [here](https://redis.io/commands/zpopmax)!\nSynonyms:\nradish/sorted_set.pop_max\nradish/sorted_set pop_max","url":"radish/sorted_set.html#pop_max"},{"doc":"radish/sorted_set","title":"pop_min","content":"pub fn pop_min(\n  client: Subject(Message),\n  key: String,\n  count: Int,\n  timeout: Int,\n) -&gt; Result(List(#(String, Score)), Error)\n see [here](https://redis.io/commands/zpopmin)!\nSynonyms:\nradish/sorted_set.pop_min\nradish/sorted_set pop_min","url":"radish/sorted_set.html#pop_min"},{"doc":"radish/sorted_set","title":"random_members","content":"pub fn random_members(\n  client: Subject(Message),\n  key: String,\n  count: Int,\n  timeout: Int,\n) -&gt; Result(List(#(String, Score)), Error)\n see [here](https://redis.io/commands/zrandmember)!\nSynonyms:\nradish/sorted_set.random_members\nradish/sorted_set random_members","url":"radish/sorted_set.html#random_members"},{"doc":"radish/sorted_set","title":"rank","content":"pub fn rank(\n  client: Subject(Message),\n  key: String,\n  member: String,\n  timeout: Int,\n) -&gt; Result(#(Int, Score), Error)\n see [here](https://redis.io/commands/zrank)!\nSynonyms:\nradish/sorted_set.rank\nradish/sorted_set rank","url":"radish/sorted_set.html#rank"},{"doc":"radish/sorted_set","title":"rem","content":"pub fn rem(\n  client: Subject(Message),\n  key: String,\n  members: List(String),\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/zrem)!\nSynonyms:\nradish/sorted_set.rem\nradish/sorted_set rem","url":"radish/sorted_set.html#rem"},{"doc":"radish/sorted_set","title":"reverse_rank","content":"pub fn reverse_rank(\n  client: Subject(Message),\n  key: String,\n  member: String,\n  timeout: Int,\n) -&gt; Result(#(Int, Score), Error)\n see [here](https://redis.io/commands/zrevrank)!\nSynonyms:\nradish/sorted_set.reverse_rank\nradish/sorted_set reverse_rank","url":"radish/sorted_set.html#reverse_rank"},{"doc":"radish/sorted_set","title":"scan","content":"pub fn scan(\n  client: Subject(Message),\n  key: String,\n  cursor: Int,\n  count: Int,\n  timeout: Int,\n) -&gt; Result(#(List(#(String, Score)), Int), Error)\n see [here](https://redis.io/commands/zscan)!\nSynonyms:\nradish/sorted_set.scan\nradish/sorted_set scan","url":"radish/sorted_set.html#scan"},{"doc":"radish/sorted_set","title":"scan_pattern","content":"pub fn scan_pattern(\n  client: Subject(Message),\n  key: String,\n  cursor: Int,\n  pattern: String,\n  count: Int,\n  timeout: Int,\n) -&gt; Result(#(List(#(String, Score)), Int), Error)\n see [here](https://redis.io/commands/zscan)!\nSynonyms:\nradish/sorted_set.scan_pattern\nradish/sorted_set scan_pattern","url":"radish/sorted_set.html#scan_pattern"},{"doc":"radish/sorted_set","title":"score","content":"pub fn score(\n  client: Subject(Message),\n  key: String,\n  member: String,\n  timeout: Int,\n) -&gt; Result(Score, Error)\n see [here](https://redis.io/commands/zscore)!\nSynonyms:\nradish/sorted_set.score\nradish/sorted_set score","url":"radish/sorted_set.html#score"},{"doc":"radish/sorted_set","title":"update","content":"pub fn update(\n  client: Subject(Message),\n  key: String,\n  members: List(#(String, Score)),\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/zadd)!\nSynonyms:\nradish/sorted_set.update\nradish/sorted_set update","url":"radish/sorted_set.html#update"},{"doc":"radish/sorted_set","title":"update_only_higher_scores","content":"pub fn update_only_higher_scores(\n  client: Subject(Message),\n  key: String,\n  members: List(#(String, Score)),\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/zadd)!\nSynonyms:\nradish/sorted_set.update_only_higher_scores\nradish/sorted_set update_only_higher_scores","url":"radish/sorted_set.html#update_only_higher_scores"},{"doc":"radish/sorted_set","title":"update_only_lower_scores","content":"pub fn update_only_lower_scores(\n  client: Subject(Message),\n  key: String,\n  members: List(#(String, Score)),\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/zadd)!\nSynonyms:\nradish/sorted_set.update_only_lower_scores\nradish/sorted_set update_only_lower_scores","url":"radish/sorted_set.html#update_only_lower_scores"},{"doc":"radish/sorted_set","title":"upsert","content":"pub fn upsert(\n  client: Subject(Message),\n  key: String,\n  members: List(#(String, Score)),\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/zadd)!\nSynonyms:\nradish/sorted_set.upsert\nradish/sorted_set upsert","url":"radish/sorted_set.html#upsert"},{"doc":"radish/sorted_set","title":"upsert_only_higher_scores","content":"pub fn upsert_only_higher_scores(\n  client: Subject(Message),\n  key: String,\n  members: List(#(String, Score)),\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/zadd)!\nSynonyms:\nradish/sorted_set.upsert_only_higher_scores\nradish/sorted_set upsert_only_higher_scores","url":"radish/sorted_set.html#upsert_only_higher_scores"},{"doc":"radish/sorted_set","title":"upsert_only_lower_scores","content":"pub fn upsert_only_lower_scores(\n  client: Subject(Message),\n  key: String,\n  members: List(#(String, Score)),\n  timeout: Int,\n) -&gt; Result(Int, Error)\n see [here](https://redis.io/commands/zadd)!\nSynonyms:\nradish/sorted_set.upsert_only_lower_scores\nradish/sorted_set upsert_only_lower_scores","url":"radish/sorted_set.html#upsert_only_lower_scores"},{"doc":"radish/sorted_set","title":"radish/sorted_set","content":"","url":"radish/sorted_set.html"}]);